#!/bin/bash
rm _IMPORT/*
# czy istnieje parametr
if [ $# -eq 0 ]
  then
    echo " "
    echo "Usage of this script:"
    echo " "
    echo "./download.sh file.txt"
    echo " "
    echo " Where 'file' should contain list of the stocknames in uppercase"
    echo " One name one line, separated with \n only. "
    echo " Any other letter than '0-9A-Z' works as comment."
else 
# jesli istnieje pierwszy parametr 
    while IFS='' read -r line || [[ -n "$line" ]]; do
        if [[ $line =~ ^[0-9A-Z.-]+$ ]] 
        then
            cd _IMPORT/
            echo "$line is downloading ..."
            wget  "http://bossa.pl/pub/intraday/mstock/cgl//$line.zip" 
            unzip -q "$line.zip"
            rm "$line.zip"
            cd ..
        else
            echo "--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------"
            echo "--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------"
            echo "--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------"
            echo "--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------"
            echo "                                                             SKIPPING : $line "
            echo "--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------"
            echo "--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------"
            echo "--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------"
            echo "--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------"
        fi
    done < "$1"
fi
